Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.foundation.boundary
Class SegmentFile

    java.lang.Object
      devisor2.foundation.GridItem
          devisor2.foundation.boundary.Segment
              devisor2.foundation.boundary.SegmentFile

All Implemented Interfaces:
  java.io.Serializable

public abstract class SegmentFile
extends Segment
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`int` | `BoundaryNumber` boundary number
`int` | `drawstep` resolution of the drawing
`java.lang.String` | `name` name of the parametrisation file
`java.lang.String` | `path`

Fields inherited from class devisor2.foundation.boundary.Segment
`boundary, orientation_marker_1, orientation_marker_2, orientation_marker_3, tmax`

Fields inherited from class devisor2.foundation.GridItem
`cc, marked, transformed, xmax, xmin, ymax, ymin`

Constructor Summary
`SegmentFile(java.lang.String n, java.lang.String n2, int bn)` creates the segment type file with draw step size 256
`SegmentFile(java.lang.String n, java.lang.String n2, int bn, int ds)` creates the segment type file

Method Summary
`void` | `adjustPerimeter(Node n, int index)` change coordinates therefor, that at indes 0 that the beginning of this segment is at node 'n', else that the ending of this segment is at node 'n'.
`static void` | `compile(java.lang.String n, java.lang.String n2)`
`void` | `draw(java.awt.Graphics g)` draws the segment
`Node` | `getCoords(double t)`
`double` | `getParameterCoord(Node n)`
`abstract java.awt.Rectangle` | `getPerimeter()` gets the perimeter of the segment
`int[]` | `getPolyCoords(java.awt.geom.AffineTransform tf)`
`double[]` | `isOnBoundary(Node n, double eps)`
`void` | `performTransformation(java.awt.geom.AffineTransform tf, boolean preserve)`
`void` | `setParams(int[] ux)` sets the parameters of the segment
`void` | `swapPerimeter()` inverts orientation of this segment without changing parameter values of related boundarynodes.

Methods inherited from class devisor2.foundation.boundary.Segment
`clone, drawOrientationMarker, getBoundary, getBoundaryNumber, getCartesianCoords, getParameters, getParameterValue, getParams, getSegmentNumber, getTMax, isHit, isInside, isOnBoundary, performMirror, performTransformation, setBoundary, setParameters, setTMax, updateInnerData`

Methods inherited from class devisor2.foundation.GridItem
`clearTransformedFlag, isMarked, setMarker, setMarker, unsetMarker`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  name of the parametrisation file

### path

    public java.lang.String path

### BoundaryNumber

    public int BoundaryNumber

  boundary number

### drawstep

    public int drawstep

  resolution of the drawing

Constructor Detail

### SegmentFile

    public SegmentFile(java.lang.String n,
                       java.lang.String n2,
                       int bn,
                       int ds)

  creates the segment type file

### SegmentFile

    public SegmentFile(java.lang.String n,
                       java.lang.String n2,
                       int bn)

  creates the segment type file with draw step size 256

Method Detail

### compile

    public static void compile(java.lang.String n,
                               java.lang.String n2)

### performTransformation

    public void performTransformation(java.awt.geom.AffineTransform tf,
                                      boolean preserve)

### isOnBoundary

    public double[] isOnBoundary(Node n,
                                 double eps)

  See Also:
    `Segment.isOnBoundary`

### getPolyCoords

    public int[] getPolyCoords(java.awt.geom.AffineTransform tf)

  See Also:
    `Segment.getPolyCoords`

### getPerimeter

    public abstract java.awt.Rectangle getPerimeter()

  Description copied from class: `Segment`
  gets the perimeter of the segment

  Specified by:
    `getPerimeter` in class `Segment`

### getCoords

    public Node getCoords(double t)

  See Also:
    `Segment.getCoords`

### draw

    public void draw(java.awt.Graphics g)

  draws the segment

  Specified by:
    `draw` in class `Segment`
  Parameters:
    `g` - - the graphics context to paint to

### getParameterCoord

    public double getParameterCoord(Node n)

### swapPerimeter

    public void swapPerimeter()

  Description copied from class: `Segment`
  inverts orientation of this segment without changing parameter values of related boundarynodes.

  Specified by:
    `swapPerimeter` in class `Segment`

### adjustPerimeter

    public void adjustPerimeter(Node n,
                                int index)

  Description copied from class: `Segment`
  change coordinates therefor, that at indes 0 that the beginning of this segment is at node 'n', else that the ending of this segment is at node 'n'.

  Specified by:
    `adjustPerimeter` in class `Segment`

### setParams

    public void setParams(int[] ux)

  Description copied from class: `Segment`
  sets the parameters of the segment

  Specified by:
    `setParams` in class `Segment`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD